Setup integration credentials (consolidated)
curl --request PUT \
--url https://sandbox-api.borderless.xyz/v1/organizations/integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {
"apiKey": "alfred_api_key_123",
"apiSecret": "alfred_api_secret_456",
"webhookSecret": "alfred_webhook_secret_789"
}
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/integrations"
payload = { "credentials": {
"apiKey": "alfred_api_key_123",
"apiSecret": "alfred_api_secret_456",
"webhookSecret": "alfred_webhook_secret_789"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {
apiKey: 'alfred_api_key_123',
apiSecret: 'alfred_api_secret_456',
webhookSecret: 'alfred_webhook_secret_789'
}
})
};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "<string>",
"integrationNetworkAddresses": [
{
"address": "<string>"
}
]
}Integrations Config
Setup integration credentials (consolidated)
Single endpoint for configuring credentials for any supported integration provider. The credentials payload is validated server-side against the provider-specific DTO. Replaces the 22 per-provider PUT endpoints (which remain available but are deprecated).
PUT
/
v1
/
organizations
/
integrations
Setup integration credentials (consolidated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Integration provider to configure credentials for.
Available options:
Standalone, MultiProvider, Dfns, Utila, Bridge, Koywe, Kotanipay, Manual, Blockchain, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Ares, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Brale, Juicyway, Onmeta, Mastercard, Alfred, Demo, CrissCross, TripleA Provider-specific credentials. Shape switches on provider.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
- Option 24
- Option 25
Show child attributes
Show child attributes
Was this page helpful?
⌘I